"""
Initialize the database modules.
"""

from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker

from .db import DATABASE_URL
from .models import NewsCategories, Base, get_or_create, DefaultNewsCategories

engine = create_engine(DATABASE_URL)
Session = sessionmaker(bind=engine)

Base.metadata.create_all(engine)

session = Session()

default_categories = [
    (category.name, category.value)
    for category in DefaultNewsCategories
]

for category_name, category_id in default_categories:
    get_or_create(session, model=NewsCategories, id=category_id, name=category_name)

session.commit()
session.close()
